2010-12-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.1.7, SECURITY_PATCH=24

2010-11-03 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: jpeg -> JPEG

2010-10-27 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.6. SECURITY_PATCH++

2010-10-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.1.5, SECURITY_PATCH=22

2010-09-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.1.4

2010-09-10 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.3. SECURITY_PATCH++

2010-08-05 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.2

2010-07-23 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1.1, SECURITY_PATCH++
	* BUILD: Added --disable-crashreport which is broken and 
	  won't build.

2010-07-03 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.1
	* DEPENDS: Optional depends on wireless-tools
	* INSTALL: Updated source directory to comm-1.9.2
	* BUILD: Updated source directory to comm-1.9.2
	* PRE_BUILD: Updated source directory to comm-1.9.2

2010-06-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.0.5

2010-05-19 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Disable '-Wl,--as-needed' in LDFLAGS (Bug #15220)

2010-03-30 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.0.4, SECURITY_PATCH=19
	  http://www.mozilla.org/security/known-vulnerabilities/thunderbird30.html

2010-03-06 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.3

2010-02-26 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 3.0.2, SECURITY_PATCH=18

2010-01-25 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 3.0.1. SECURITY_PATCH++

2009-12-22 Eric Sandall <sandalle@sourcemage.org>
	* PREPARE: Removed, unused
	* DETAILS: Updated to 3.0
	  SOURCE uses .source instead of -source
	  Removed Enigmail, install Add-on instead from
	  https://addons.mozilla.org/en-US/thunderbird/addon/71
	* mozilla.gpg: Removed, use top-level mozilla.gpg
	* CONFIGURE: Removed Enigmail
	* DEPENDS: New flags for using cairo
	  Optionally depends on startup-notification
	* PRE_BUILD: Extracts to comm-1.9.1 instead of mozilla
	  Removed Enigmail
	  Do not apply thunderbird-2.0-visibility.patch
	* BUILD: Extracts to comm-1.9.1 instead of mozilla
	  Removed Enigmail
	  Now requires "--enable-static" to build:
	  Makefile:98: * you need an "--enable-static" build to package a build.
	* INSTALL: Removed Enigmail
	  Remove $THUNDERBIRD_HOME/chrome/app-chrome.manifest before install
	  regxpcom is no longer installed, use the one in SOURCE_DIRECTORY
	* thunderbird-2.0-visibility.patch: Removed

2009-09-05 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 2.0.0.23. SECURITY_PATCH++
	* PRE_BUILD: Added patch to fix build.
	* thunderbird-2.0-visibility.patch: Added Fedora patch to fix build.
	  http://cvs.fedoraproject.org/viewvc/F-10/thunderbird/
	  thunderbird-2.0-visibility.patch?revision=1.1&view=markup

2009-07-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL 0.96.0
	* PRE_BUILD, enigmail_visibility.patch: removed patch

2009-06-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.22, SECURITY_PATCH=15

2009-05-04 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Forcing SSE for mfpmath causes Thunderbird to segfault on start

2009-03-18 Julien "_kaze_" ROZO <julien@rozo.org>
	* DETAILS: updated version to 2.0.0.21

2008-12-30 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 2.0.0.19

2008-11-19 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 2.0.0.18

2008-09-26 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 2.0.0.17. SECURITY_PATCH++
	  http://www.mozilla.org/security/known-vulnerabilities/thunderbird20.html#thunderbird2.0.0.17
	  Added SOURCE2_IGNORE=signature

2008-08-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL 0.95.7, sig -> asc
	* INSTALL, enigmail.patch: removed patch

2008-08-02 Julien "_kaze_" ROZO <julien@rozo.org
	* PRE_BUILD, enigmail_visibility.patch: fixed compilation problem when
	  enigmail is enabled, fixes bug #14516

2008-07-25 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.16, SECURITY_PATCH=13

2008-05-03 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 2.0.0.14. SECURITY_PATCH=12
	* PRE_BUILD: Removed gcc43.patch
	* gcc43.patch: Removed.  Incorporated Upstream.

2008-03-22 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Apply gcc43.patch
	* gcc43.patch: Patch to enable compilation with gcc 4.3.0
	  From https://bugzilla.mozilla.org/show_bug.cgi?id=416463

2008-02-27 Julien "_kaze_" ROZO <julien@rozo.org>
	* DETAILS: updated version to 2.0.0.12, SECURITY_PATCH=11

2008-02-12 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Apply enigmail.patch if Enigmail is enabled
	* enigmail.patch: Patch for Engimail to be registered (Bug #10720)
	  Probably a better way, but this is the quick fix

2008-02-11 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated Enigmail to 0.95.6
	  Enigmail SOURCE_URL changed to /download/source from /downloads/src
	* DETAILS, PRE_BUILD, BUILD: Create unique SOURCE_DIRECTORY
	  Fixes Bug #7977

2007-11-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.9, SECURITY_PATCH=10
	* mozilla.gpg: updated "Mozilla Software Releases" key
	  thunderbird-2.0.0.9-source is signed by 17785FE8 [expires: 2009-07-16]

2007-11-13 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL 0.95.5

2007-10-31 David Kowis <dkowis@shlrm.org>
	* DEPENDS: DOES NOT DEPEND ON gnome-panel
	  I just built it. I promise.

2007-10-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL 0.95.4, signature gpg -> sig

2007-08-24 Arjan Bouter <abouter@sourcemage.org>
	* DETAILS: patchlevel++
	* DEPENDS: added gnome-panel

2007-08-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL_VERSION=0.95.3, signature sig -> gpg

2007-08-02 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.6, SECURITY_PATCH=9

2007-07-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.0.5, SECURITY_PATCH=8

2007-07-10 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Remove broken links (Bug #13846)

2007-07-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL_VERSION=0.95.2

2007-06-23 David Kowis <dkowis@shlrm.org>
	* visibility.patch, PRE_BUILD: removed visibility patch
	* DEPENDS: removed dependency on autoconf-2.13

2007-06-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL_VERSION=0.95.1
	  2.0.0.4, SECURITY_PATCH=7
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird

2007-04-29 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS, PRE_BUILD: also fix ppc build by applying the
	  visibility patch, like firefox

2007-04-25 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Disable -ffast-math in flags as it breaks plugins
	  (they'll try to install, but never finish, much less run)

2007-04-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.0.0.0
	  Enigmail updated to 0.95.0

2007-03-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: ENIGMAIL_VERSION=0.94.3, SECURITY_PATCH=6
	  CVE-2007-1264, http://www.coresecurity.com/?action=item&id=1687

2007-02-06 David Kowis <dkowis@shlrm.org>
	* visibility.patch: Copied from the firefox spell
	* PRE_BUILD: apply visibility patch, if amd64
	* DEPENDS: needs autoconf-2.13 if amd64

2007-01-26 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0b2

2007-01-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.0b1
	* DEPENDS: Add --with-system-nss flags to the nss dependency to
	  explicitly use system NSS
	  Removed commented out libart_lgpl optional depends
	  Added optional dependency on cairo for SVG
	* PRE_BUILD: Do not apply visiblity.patch (unneeded)
	  Do not run mozilla_remove_nspr_nss (thanks to George Sherwood)
	  Copy mail/config/mozconfig to .mozconfig for Thunderbird defaults
	* BUILD: Removed MOZILLA_OFFICIAL and BUILD_OFFICIAL (this is not an
	  official Mozilla binary build)
	  Removed sedits to fix gfx/src/gtk/Makefile.in
	  Removed MATHML flags for OPTS
	  Removed commented out configure flags
	  Do not hardcode so many configure flags, instead use the defaults
	  from .mozconfig, but still enable optimizations
	* visibility.patch, security_manager_makefile.diff: Obsolete patches

2006-12-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: SECURITY_PATCH=5
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird

2006-12-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.9

2006-11-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.8, SECURITY_PATCH=4
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT not INSTALL_ROOT when linking #9163

2006-09-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.5.0.7

2006-09-05 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: thunderbird 1.5.0.5, enigmail 0.94.1
	  updated SOURCE3_URL, removed stale SOURCE3_URLs
	  removed BUILD_API and UPDATED
	  SECURITY_PATCH=3
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#Thunderbird
	* *: removed IPC (SOURCE5, SOURCE6), IPC has been integrated into ENIGMAIL
	* PRE_BUILD: unpack enigmail to mailnews/extensions now

2006-06-02 David Kowis <dkowis@shlrm.org>
	* DETAILS: SECURITY UPDATE
	http://www.mozilla.org/projects/security/known-vulnerabilities.html

2006-04-26 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added SECURITY_PATCH=1 (thanks Arwed)

2006-04-25 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.5.0.2
	  Security update: http://www.mozilla.org/projects/security/known-vulnerabilities.html#thunderbird1.5.0.2 includes fixes for:
	  MFSA 2006-28, MFSA 2006-27, MFSA 2006-26, MFSA 2006-25, MFSA 2006-24
	  MFSA 2006-22, MFSA 2006-21, MFSA 2006-20, MFSA 2006-08, MFSA 2006-07
	  MFSA 2006-06, MFSA 2006-05, MFSA 2006-04, MFSA 2006-02, MFSA 2006-01
	  Mozilla at least signed this tarball, re-adding SOURCE GPG check/URL
	  This security update can also fix security Bug #10894
	* security_manager_makefile.diff,visibility.patch: Updated to 1.5.0.2
	* PRE_BUILD: visibility.patch now uses -p1

2006-03-21 David Kowis <dkowis@shlrm.org>
	* PRE_BUILD: moved the mozilla_remove_nspr function to PRE_BUILD from BUILD
	  Added the application of the *visibility* patch makes it work under gcc4
	  none the less

2006-03-20 David Kowis <dkowis@shlrm.org>
	* DETAILS: added sha512 SOURCE_HASH since the mozilla folks are unresponsive
	  for a signed tarball

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-01-31 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.5
	  Updated Enigmail to 0.93.2
	  Added UPSTREAM_KEY to SOURCE_GPGs
	* DEPENDS: Don't depend on freetype2
	  Use gtk+2 with xft, disabling freetype2
	* PRE_BUILD, freetype.patch, gcc4.patch: Removed unused patches
	* BUILD: Removed --enable-xft and --enable-freetype2
	* INSTALL: Don't run non-existent ./regchrome
	* security_manager_makefile.diff: Removed unused file

2005-11-25 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS: fixed gpg checking for enigmail
	* mozilla.gpg, enigmail.gpg: added
	  Fixes Bug #10315

2005-10-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.0.7
	  Updated Enigmail to 0.93.0

2005-09-18 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated Enigmail to 0.92.1
	  Use Mozilla GPG keys for SOURCE* verification
	  Updated UPDATED for new Enigmail version
	* PRE_BUILD: Modified to use unpack_file 3/5 for GPG sources

2005-07-30 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD: fix a grep statement (bug 9376); minor improvements.

2005-07-20 Jeremy Blosser <jblosser-smgl@firinn.org>
	* INSTALL: Create symlink from /usr/lib/libnssckbi.so if it exists to
	  $THUNDERBIRD_HOME to get Root CA certs (bug 9208)

2005-07-20 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 1.0.6 and Enigmail 0.92.0; this version of Enigmail
	  reportedly doesn't work with Thunderbird 1.0.6, but I can't find that
	  notice on the site anymore, so maybe it does after all;
	* PRE_BUILD: apply the GCC 4 patch.

2005-05-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated IPC to 1.1.3
	  Enigmail seems to work fine, thanks Thomas. :)

2005-05-21 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* DETAILS, BUILD, INSTALL : removed mozconfig, (re)added options to
	  build enigmail (based on BLFS instruction)

2005-05-19 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Commented out optional dependency on openldap (fails)
	* BUILD: Explicitly disable ldap (for now at least)

2005-05-17 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS: use system NSPR and NSS;
	* BUILD: call a generic procedure to remove NSPR and NSS from tree;
	  copy some bugfixing code from Firefox;
	* gcc4.patch,security_manager_makefile.diff: integrate from Firefox.

2005-03-27 Jeremy Blosser <jblosser-smgl@firinn.org>
	* BUILD: Don't --disable-crypto because of lack of enigmail, it's
	  needed for SSL connections

2005-03-26 Jeremy Blosser <jblosser-smgl@firinn.org>
	* DETAILS: Updated to 1.0.2

2005-03-19 Jeremy Blosser <jblosser-smgl@firinn.org>
	* PREPARE, DETAILS, PRE_BUILD, BUILD: Commenting out enigmail until it
	  works
	* WIP: Deleted

2005-03-03 Eric Sandall <sandalle@sourcemage.org>
	* CONFLICTS: Conflicts with thunderbird-bin

2005-03-03 Arjan Bouter <abouter@sourcemage.org>
	* desktop/thunderbird.desktop: added

2005-01-02 Jeremy Blosser <jblosser-smgl@firinn.org>
	* BUILD: Re-add optimization and other flags, fix the real problem.

2005-01-02 Jeremy Blosser <jblosser-smgl@firinn.org>
	* BUILD: Add use of mozconfig and comment some configure flags to try
	  to get a working build.

2005-01-12 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.0 (Thanks to Paul Beel)
	  Enigmail updated to 0.90.0 (Thanks to Paul Beel)
	  IPC updated to 1.1.2 (Thanks to Paul Beel)
	  Removed MAKE_NJOBS=1
	* BUILD: Reordered so all --disables are together and all --enables are
	  together
	  Added --disable-oji, --disable-jsd, --disable-necko-disk-cache
	  Changed --enable-single-profile to --disable-profilesharing
	  Changed --enable-extensions=all to
	  Added --enable-necko-protocols=$NECKO_PROTOCOLS and set
	  NECKO_PROTOCOLS="http,file,jar,viewsource,res,data"
	  --enable-extensions=$THUNDERBIRD_EXTENSIONS and set
	  THUNDERBIRD_EXTENSIONS to "wallet,spellcheck,xmlextras"
	  Add options according to http://linuxfromscratch.org/pipermail/blfs-support/2004-July/051082.html (URL thanks to Paul Beel)
	* CONFIGURE: Added query for MathML
	  Add options according to http://linuxfromscratch.org/pipermail/blfs-support/2004-July/051082.html (URL thanks to Paul Beel)

2004-12-02 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.0rc

2004-11-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 0.9
	  SOURCE name changed (again, can't these Mozilla people do anything
	  right?)
	  enigmail updated to 0.89.0
	  SOURCE_URL now uses $VERSION
	  Added MAKE_NJOBS=1
	* freetype.patch: Updated to 0.9
	* PRE_BUILD: Patch now needs -p1

2004-10-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added WEB_SITE
	  Thunderbird uses the MOZILLA license, not "Thunderbird"
	  Check for CRYPTO and add enigmail 0.86.1 and ipc 1.1.1
	* DEPENDS: Added dependency on libmng (for system mng in BUILD)
	  Added dependency on g++, freetype2, and zip
	  Added optional dependencies on openldap, libart_lgpl, and gnome-vfs2
	  Formatted to Guru Handbook
	* BUILD: Cleaned up formatting
	  Moved configure flags for gtk+2, libmng, libpng, zlib, and jpeg to DEPENDS
	  Check for CRYPTO and apply flag to OPTS
	  Make --enable-strip use our LDFLAGS
	  Apply freetype patch in PRE_BUILD
	  Added MOZ_THUNDERBIRD=1 to make
	* INSTALL: Removed (was default_install)
	* PREPARE: Added to query for crypto
	* PRE_BUILD: Unpack enigmail if wanted
	  Apply patches here
	* HISTORY: Made history +x

2004-10-28 Thomas Houssin <Thomas.Houssin@gmail.com>
	* Initial creation

